struct sscop_stack {
	void	(*init)(evContext *);
	void	(*debug)(u_int);
	void	(*upper_to_sscop)(u_int, u_int, struct uni_msg *);
	void	(*manage_to_sscop)(u_int, u_int, u_int, struct uni_msg *);
	void	(*lower_to_sscop)(struct uni_msg *);
	void	(*reset)(void);
	void	(*start)(void);
	void	(*setparam)(u_int mask, struct sscop_param *param);
	void	(*getparam)(struct sscop_param *);
};

extern const struct sscop_stack user_stack;
extern const struct sscop_stack kern_stack;

struct winput {
	struct uni_msg	*msg;
	u_int		sig;
	u_int		arg1;
	u_int		arg2;
	TAILQ_ENTRY(winput) link;
};
TAILQ_HEAD(input_list, winput);

extern struct input_list lower_input_list;
extern struct input_list upper_input_list;
extern struct input_list manage_input_list;
